Skip to main content
PUT
Replace exclusive sponsored brand campaign bids.

Autorizaciones

Authorization
string
header
requerido

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Parámetros de ruta

campaign_id
string<uuid>
requerido

The ID of the campaign.

Parámetros de consulta

vendor_id
string
requerido

The ID of the vendor.

Minimum string length: 1

Cuerpo

application/json

Request body for replacing public exclusive sponsored brand bids.

bids
PublicCreateSponsoredBrandBid · object[]
requerido

An array of bids for this campaign.

Required array length: 1 - 500 elements
slotId
string
requerido

The external slot ID where the exclusive sponsored brand campaign is shown.

Minimum string length: 1
content
Content · object
requerido

Dynamic content validated against the slot's JSON template.

position
integer | null

The rank the ad will have in the auction. Omit it to keep the campaign's current rank.

Rango requerido: 1 <= x <= 20

Respuesta

Successful Response